### Method

# Ide DeviceProvider get_devices

#### Declaration

    GPtrArray*
    ide_device_provider_get_devices (
      IdeDeviceProvider* self
    )

#### Description

Gets a new `GPtrArray` containing a list of `IdeDevice` instances that were registered by the `IdeDeviceProvider`.

Available since: | 3.32

#### Return value

Returns: | An array of `IdeDevice*`
| a `GPtrArray` of `IdeDevice`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.